org.eclipse.net4j.util.io

## Class ExtendedIOUtil

- java.lang.Object
- - org.eclipse.net4j.util.io.ExtendedIOUtil

-     public final class ExtendedIOUtil
      extends Object

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExtendedIOUtil.ClassLoaderClassResolver`
    `static interface` | `ExtendedIOUtil.ClassResolver`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Throwable` | `deserializeThrowable(byte[] bytes)`
    `static long` | `readBinaryStream(DataInput in, OutputStream outputStream)`
    `static byte[]` | `readByteArray(DataInput in)`
    `static long` | `readCharacterStream(DataInput in, Writer writer)`
    `static <T extends Enum<?>> T` | `readEnum(DataInput in, Class<T> type)`
    `static Throwable` | `readException(DataInput in)`
    `static Object` | `readObject(DataInput in)`
    `static Object` | `readObject(DataInput in, ClassLoader classLoader)`
    `static Object` | `readObject(DataInput in, ExtendedIOUtil.ClassResolver classResolver)`
    `static String` | `readString(DataInput in)`
    `static byte[]` | `serializeThrowable(Throwable t)`
    `static long` | `writeBinaryStream(DataOutput out, InputStream inputStream)`
    `static void` | `writeByteArray(DataOutput out, byte[] b)`
    `static long` | `writeCharacterStream(DataOutput out, Reader reader)`
    `static void` | `writeEnum(DataOutput out, Enum<?> literal)`
    `static void` | `writeException(DataOutput out, Throwable t)`
    `static void` | `writeObject(DataOutput out, Object object)`
    `static void` | `writeString(DataOutput out, String str)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### writeByteArray

          public static void writeByteArray(DataOutput out,
                                            byte[] b)
                                     throws IOException

      Throws:
        `IOException`

    - #### readByteArray

          public static byte[] readByteArray(DataInput in)
                                      throws IOException

      Throws:
        `IOException`

    - #### writeObject

          public static void writeObject(DataOutput out,
                                         Object object)
                                  throws IOException

      Throws:
        `IOException`

    - #### readObject

          public static Object readObject(DataInput in)
                                   throws IOException

      Throws:
        `IOException`

    - #### readObject

          public static Object readObject(DataInput in,
                                          ClassLoader classLoader)
                                   throws IOException

      Throws:
        `IOException`

    - #### readObject

          public static Object readObject(DataInput in,
                                          ExtendedIOUtil.ClassResolver classResolver)
                                   throws IOException

      Throws:
        `IOException`

    - #### writeString

          public static void writeString(DataOutput out,
                                         String str)
                                  throws IOException

      Throws:
        `IOException`

    - #### readString

          public static String readString(DataInput in)
                                   throws IOException

      Throws:
        `IOException`

    - #### writeBinaryStream

          public static long writeBinaryStream(DataOutput out,
                                               InputStream inputStream)
                                        throws IOException

      Throws:
        `IOException`
      Since:
        3.3

    - #### readBinaryStream

          public static long readBinaryStream(DataInput in,
                                              OutputStream outputStream)
                                       throws IOException

      Throws:
        `IOException`
      Since:
        3.3

    - #### writeCharacterStream

          public static long writeCharacterStream(DataOutput out,
                                                  Reader reader)
                                           throws IOException

      Throws:
        `IOException`
      Since:
        3.3

    - #### readCharacterStream

          public static long readCharacterStream(DataInput in,
                                                 Writer writer)
                                          throws IOException

      Throws:
        `IOException`
      Since:
        3.3

    - #### writeEnum

          public static void writeEnum(DataOutput out,
                                       Enum<?> literal)
                                throws IOException

      Throws:
        `IOException`
      Since:
        3.0

    - #### readEnum

          public static <T extends Enum<?>> T readEnum(DataInput in,
                                                       Class<T> type)
                                                throws IOException

      Throws:
        `IOException`
      Since:
        3.0

    - #### writeException

          public static void writeException(DataOutput out,
                                            Throwable t)
                                     throws IOException

      Throws:
        `IOException`
      Since:
        3.4

    - #### readException

          public static Throwable readException(DataInput in)
                                         throws IOException

      Throws:
        `IOException`
      Since:
        3.4

    - #### serializeThrowable

          public static byte[] serializeThrowable(Throwable t)

      Since:
        3.4

    - #### deserializeThrowable

          public static Throwable deserializeThrowable(byte[] bytes)

      Since:
        3.4

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html